#### D.2.12.26 addvarsTo

Procedure from library `ring.lib` (see ring_lib).

Usage:
  addvarsTo(ring,list_of_strings, int);
  int may be: 0:ordering: dp
  1:ordering dp,dp
  2:oring.ordering,dp

Return:
  a ring with the additional variables

Example:

    LIB "ring.lib";
    ring r=0,(x,y),lp;
    def rr=addvarsTo(r,list("a","b"),0);
    rr; kill rr;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering C
    ==> //        block   2 : ordering dp
    ==> //                  : names    x y a b
    def rr=addvarsTo(r,list("a","b"),1);
    rr; kill rr;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering C
    ==> //        block   2 : ordering dp
    ==> //                  : names    x y
    ==> //        block   3 : ordering dp
    ==> //                  : names    a b
    def rr=addvarsTo(r,list("a","b"),2);
    rr;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering lp
    ==> //                  : names    x y
    ==> //        block   2 : ordering C
    ==> //        block   3 : ordering dp
    ==> //                  : names    a b

User manual for Singular version 4.4.1, 2025, generated by texi2html.